# Uses of Enum Class
org.apache.lucene.index.StoredFieldVisitor.Status

Packages that use StoredFieldVisitor.Status
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of StoredFieldVisitor.Status in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return StoredFieldVisitor.Status
  Modifier and Type
  Method
  Description
  `StoredFieldVisitor.Status`
  StoredFieldsWriter.MergeVisitor.`needsField(FieldInfo fieldInfo)`

- ## Uses of StoredFieldVisitor.Status in org.apache.lucene.document

  Methods in org.apache.lucene.document that return StoredFieldVisitor.Status
  Modifier and Type
  Method
  Description
  `StoredFieldVisitor.Status`
  DocumentStoredFieldVisitor.`needsField(FieldInfo fieldInfo)`

- ## Uses of StoredFieldVisitor.Status in org.apache.lucene.index

  Methods in org.apache.lucene.index that return StoredFieldVisitor.Status
  Modifier and Type
  Method
  Description
  `abstract StoredFieldVisitor.Status`
  StoredFieldVisitor.`needsField(FieldInfo fieldInfo)`
  Hook before processing a field.
  `static StoredFieldVisitor.Status`
  StoredFieldVisitor.Status.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StoredFieldVisitor.Status[]`
  StoredFieldVisitor.Status.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.